#
# spec file for package yishu
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.lainsce.yishu
Name:           yishu
Version:        1.2.5
Release:        2.0.2.1.sr20241202
Summary:        A bespoke and simple Todo.txt client
License:        GPL-3.0-or-later
URL:            https://github.com/lainsce/yishu
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  libxml2-tools
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite) >= 0.5
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Write a to-do list that will be easy to sync with most known Todo.txt clients.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{appid}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%{_datadir}/metainfo/%{appid}.appdata.xml
%dir %{_datadir}/icons/hicolor/{128x128@2,128x128@2/apps,16x16@2,16x16@2/apps,24x24@2,24x24@2/apps,32x32@2,32x32@2/apps,48x48@2,48x48@2/apps,64x64@2,64x64@2/apps}

%files lang -f %{appid}.lang

%changelog
* Tue Nov 19 2024 Richard Rahl <rrahl0@opensuse.org>
- update spec file for Leap 16.0:
  * remove %%suse_update_desktop_file
  * remove recommending lang package
  * use autosetup
  * remove HiDPI workaround
* Thu Jul 16 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.5:
  * A bump because of an issue.
* Sun May 17 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.3:
  * Remove unused variables
  * Avoid setting file path to home on every start
  * Merge pull request #54 from onderbakirtas/master
  * Merge pull request #1 from
    onderbakirtas/onderbakirtas-patch-tr
  * Upgraded tr.po
  * Merge pull request #53 from safak45x/patch-1
  * Update tr.po
  * Merge pull request #52 from oskarkunik/master
  * 1.2.2
  * - some stuff
* Sun Feb  2 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.1:
  * Merge pull request #47 from RavetcoFX/master
  * Add support for future dates
  * Merge pull request #46 from meisenzahl/master
  * Add Travis CI file for automated tests
  * Merge pull request #45 from mirkobrombin/patch-1
  * Merge pull request #44 from Vistaus/master
* Mon Jul 29 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.0:
  * App has a redesign
  * Removed Del keybind - it was legacy code
* Mon Apr 29 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.7:
  * Update Task.vala
  * Update README
  * Switch to UTF-8
  * Add other languages
* Mon Mar 11 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.6:
  * Update fr.po
  * Delete de_DE.mo
  * Update com.github.lainsce.yishu.appdata.xml
  * Update POTFILES
  * Update com.github.lainsce.yishu.pot
  * Update com.github.lainsce.yishu.desktop
  * Merge pull request #31 from NathanBnm/master
  * Create fr.po
  * Update LINGUAS
  * fix building
- Drop yishu-1.1.2-vala-0.42.patch
* Sun Nov 25 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.2:
  * Fixing startup
  * Remove confliting search
  * Functioning search!
  * Trying to do search
  * Start the new version up
- Add yishu-1.1.2-vala-0.42.patch
* Mon Sep 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.9:
  * Update AUTHORS
  * Fix language name for Czech po
* Wed Aug  1 2018 avvissu@yandex.by
- Update to 1.0.8
- Switch to metainfo from appdata
- Remove obsolete macros
* Sat Jun 23 2018 avvissu@yandex.by
- Update to 1.0.7:
  * Update Application.vala
  * Bugfixing galore
  * Rename pt-br.po to pt_BR.po
  * Update LINGUAS
  * Support PT-BR
  * Update README.md
* Tue Jan 30 2018 avvissu@yandex.by
- Update to 1.0.5:
  * Fix this, not ready for houston yet
  * 1.0.4:
  * New icon / Minor improvements all around to fix GTK
    deprecations
  * Add ProjectManagement
  * Add spanish traslate
- Add translations package
* Sat Jan  6 2018 avvissu@yandex.by
- Update to 1.0.3:
  * - small changes
  * - new screenshot
* Sun Dec 24 2017 avvissu@yandex.by
- Initial package
